gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Structs.PrintSetup

Contents

- Exported types
- Methods
  - getPageSetup
  - getPrintSettings
  - ref
  - unref

Description

An auxiliary object for printing that allows decoupling the setup from the printing.

A print setup is obtained by calling `printDialogSetup`, and can later be passed to print functions such as `printDialogPrint`.

Print setups can be reused for multiple print calls.

Applications may wish to store the page_setup and print_settings from the print setup and copy them to the PrintDialog if they want to keep using them.

Since: 4.14

Synopsis

- newtype PrintSetup = PrintSetup (ManagedPtr PrintSetup)
- printSetupGetPageSetup :: (HasCallStack, MonadIO m) => PrintSetup -> m PageSetup
- printSetupGetPrintSettings :: (HasCallStack, MonadIO m) => PrintSetup -> m PrintSettings
- printSetupRef :: (HasCallStack, MonadIO m) => PrintSetup -> m PrintSetup
- printSetupUnref :: (HasCallStack, MonadIO m) => PrintSetup -> m ()

# Exported types

newtype PrintSetup Source #

Memory-managed wrapper type.

Constructors

PrintSetup (ManagedPtr PrintSetup) |

#### Instances

Instances details

Eq PrintSetup Source # |
Instance details Defined in GI.Gtk.Structs.PrintSetup Methods (==) :: PrintSetup -> PrintSetup -> Bool Source # (/=) :: PrintSetup -> PrintSetup -> Bool Source #
GBoxed PrintSetup Source # |
Instance details Defined in GI.Gtk.Structs.PrintSetup
ManagedPtrNewtype PrintSetup Source # |
Instance details Defined in GI.Gtk.Structs.PrintSetup Methods toManagedPtr :: PrintSetup -> ManagedPtr PrintSetup Source #
TypedObject PrintSetup Source # |
Instance details Defined in GI.Gtk.Structs.PrintSetup Methods glibType :: IO GType Source #
HasParentTypes PrintSetup Source # |
Instance details Defined in GI.Gtk.Structs.PrintSetup
IsGValue (Maybe PrintSetup) Source # | Convert `PrintSetup` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Structs.PrintSetup Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe PrintSetup -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe PrintSetup) Source #
type ParentTypes PrintSetup Source # |
Instance details Defined in GI.Gtk.Structs.PrintSetup type ParentTypes PrintSetup = '[] :: [Type]

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

ref, unref.

#### Getters

getPageSetup, getPrintSettings.

#### Setters

None.

## getPageSetup

printSetupGetPageSetup Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> PrintSetup | `setup`: a `GtkPrintSetup`
-> m PageSetup | Returns: the page setup, or `NULL`

Returns the page setup of `setup`.

It may be different from the `GtkPrintDialog`'s page setup if the user changed it during the setup process.

Since: 4.14

## getPrintSettings

printSetupGetPrintSettings Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> PrintSetup | `setup`: a `GtkPrintSetup`
-> m PrintSettings | Returns: the print settings, or `NULL`

Returns the print settings of `setup`.

They may be different from the `GtkPrintDialog`'s settings if the user changed them during the setup process.

Since: 4.14

## ref

printSetupRef Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> PrintSetup | `setup`: a `GtkPrintSetup`
-> m PrintSetup | Returns: the print setup

Increase the reference count of `setup`.

Since: 4.14

## unref

printSetupUnref Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> PrintSetup | `setup`: a `GtkPrintSetup`
-> m () |

Decrease the reference count of `setup`.

If the reference count reaches zero, the object is freed.

Since: 4.14